// A class to describe the updatecli stages
class Updatecli implements Serializable {
  private final Script script

  Updatecli(Script script) {
    this.script = script
  }

  void run(String action = 'diff') {
    script.stage(action) {
      script.docker.image('haproxy.lan:5000/updatecli:v0.94.1')
                   .inside('-u root --entrypoint=""') {
        script.sh "updatecli ${action}"
      }
    }
  }
}
